commit:     6f1dbf0fbda3ff83d5b1a9290a38e262f05bdb38
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 24 17:19:19 2015 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Tue Nov 24 17:19:19 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f1dbf0f

www-client/lynx: fix ncurses cross-compiling logic

 www-client/lynx/files/lynx-2.8.9-cross-curses.patch | 19 +++++++++++++++++++
 www-client/lynx/lynx-2.8.9_pre6.ebuild              |  3 ++-
 2 files changed, 21 insertions(+), 1 deletion(-)

diff --git a/www-client/lynx/files/lynx-2.8.9-cross-curses.patch 
b/www-client/lynx/files/lynx-2.8.9-cross-curses.patch
new file mode 100644
index 0000000..e541586
--- /dev/null
+++ b/www-client/lynx/files/lynx-2.8.9-cross-curses.patch
@@ -0,0 +1,19 @@
+the curses test logic does not provide a fallback case when trying to run
+the curses test program.  set that here to true since we know the deps are
+sane via the ebuild.
+
+we could patch aclocal.m4, but this package doesn't rebuild autotools atm.
+
+--- a/configure
++++ b/configure
+@@ -20146,9 +20146,7 @@
+   echo "$as_me:20146: \$? = $ac_status" >&5
+   (exit $ac_status); }; }; then
+   if test "$cross_compiling" = yes; then
+-  { { echo "$as_me:20149: error: cannot run test program while cross 
compiling" >&5
+-echo "$as_me: error: cannot run test program while cross compiling" >&2;}
+-   { (exit 1); exit 1; }; }
++cf_have_ncuconfig=yes
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ #line 20154 "configure"

diff --git a/www-client/lynx/lynx-2.8.9_pre6.ebuild 
b/www-client/lynx/lynx-2.8.9_pre6.ebuild
index 3abdfda..265115a 100644
--- a/www-client/lynx/lynx-2.8.9_pre6.ebuild
+++ b/www-client/lynx/lynx-2.8.9_pre6.ebuild
@@ -53,6 +53,7 @@ pkg_setup() {
 src_prepare() {
        epatch "${FILESDIR}"/${PN}-2.8.6-mint.patch
        epatch "${FILESDIR}"/${PN}-2.8.8_p1-parallel.patch
+       epatch "${FILESDIR}"/${PN}-2.8.9-cross-curses.patch
 }
 
 src_configure() {
@@ -76,7 +77,7 @@ src_configure() {
                $(use_enable unicode japanese-utf8) \
                $(use_with bzip2 bzlib) \
                $(usex ssl "--with-$(usex gnutls gnutls ssl)=${EPREFIX}/usr" 
"") \
-               $(usex unicode "--with-screen=ncursesw" "")
+               --with-screen=$(usex unicode "ncursesw" "ncurses")
 }
 
 src_install() {

Reply via email to